/*
	File:		Common.h

	Contains:	HackTV common routines
			
	Copyright:	 1992-1998 by Apple Computer, Inc.
*/

#ifndef _APP_COMMON_
#define _APP_COMMON_

#include <QTML.h>
#include <Menus.h>
#include <Printing.h>
#include <QuickTimeComponents.h>

#define kWhichEffect	'BMos'	//'ClRp' //'JtTV'	//'MoSc'	// kEmbossImageFilterType
//#define kWhichParam		'SrIn'	//'MsSz'	//'ksiz'
//#define kParamValue		5		// 10;		//3;

void InitializeSequenceGrabber(void);
void DoRecord(void);
void DoAboutDialog(void);
void DoPageSetup(void);
void DoPrint(void);
void DoCopyToClipboard(void);
void DoVideoSettings(void);
void DoSoundSettings(void);
void DoResize(short divisor);

GWorldPtr MakeOffscreenGWorld (void);
void CopyFrameToWindow (WindowPtr inWindow);
void MakeEffectDescription (void);
ImageDescriptionHandle MakeSampleDescription (OSType theEffectType, short theWidth,
	short theHeight);
void PrepareDecompressionSequence (void);
void LinkUpSources (void);
OSErr RunEffect(TimeValue theTime, int theNumberOfSteps);
void GetSkinTone (RGBColor* prgbColor);
void ToggleParentalFilter (void);

// CreateMonitorWindow is implemented platform-specific
void CreateMonitorWindow(void);
#endif
