// da_alarm_clock.cp

#include "da_alarm_clock.h"
#include "view.h"
#include "window.h"
#include "events.h"


//
// constructor
//
da_alarm_clock::da_alarm_clock (commander* in_super, view* in_superview)
	:commander (in_super)
{
	RectangleType		r = {4, 18, 64, 20};
	
	m_window = new window(&r, in_superview, true);
	send_update_event();
}

//
// destructor
//
da_alarm_clock::~da_alarm_clock ()
{
	delete m_window;
}

//
// do_cmd_self
//
Boolean	
da_alarm_clock::do_cmd_self (int in_eventID, void* io_data)
{
	return false;
}
