// window.h

#include "view.h"
#include "commander.h"

class window: public view, public commander {
	public:
								window (RectangleType* in_bounds, view* in_superview, Boolean in_visible);
		virtual 				~window ();
		
		virtual void		get_content_rect( RectangleType* r );
	protected:
								// overriding view methods
		virtual void		draw_self();
		virtual Boolean	click_self(int x, int y);

								// overriding commander methods
		virtual Boolean	do_cmd_self (int in_eventID, void* io_data);
	
};