// menu_item.cpp

#include "menu_item.h"

#define PILOT_PRECOMPILED_HEADERS_OFF
#include <Pilot.h>

//
// constructor
//
menu_item::menu_item(char* in_string, long in_id, char in_shortcut, menu_item** in_master):
	vector( (vector**) in_master)
{
	set_text(in_string);
	m_id = in_id;
	m_shortcut = in_shortcut;
	m_enabled = (StrCompare(m_text, "-")!=0);
}

//
// destructor
//
menu_item::~menu_item() {
}

//
// get_text()
//
void
menu_item::get_text(char* s) {
	StrCopy(s, m_text);
}

//
// set_text()
//
void
menu_item::set_text(char* s) {
	StrCopy(m_text, s);
}
