{	CScript 0.1	}
{	Copyright  Cache Computing 1998	}
{}
{	Thanks to Ed Wynne for performance enhancements	}
{}
{	Comments / Suggestions welcome at support@cache-computing.com	}
{}
{	Pascal version by Sebastiano Pilla <mailto:case@tvol.it>	}
{}
{	File:	CScriptIntf.p	}
{			Interface to the compiled CScript library	}

unit CScriptIntf;

interface

	uses
		Types;
		
	const
		kNoComponentFound = -1;


	type
		CScriptRef = Ptr;													{ opaque reference to CScript data }


	function InitCScript (var outCScriptRef: CScriptRef): OSStatus;
	function CScript (inScriptTextPtr: Ptr): OSStatus;
	function DisposeCScript (var ioCScriptRef: CScriptRef): OSStatus;


implementation


	function InitCScript (var outCScriptRef: CScriptRef): OSStatus;
	external;


	function CScript (inScriptTextPtr: Ptr): OSStatus;
	external;


	function DisposeCScript (var ioCScriptRef: CScriptRef): OSStatus;
	external;


end.