/*
 *  main.h
 *  AquaShade
 *
 *  Created by avidriss on Fri Jun 22 2001.
 *  Copyright (c) 2001 __CompanyName__. All rights reserved.
 *
 */

#include <Carbon/Carbon.h>
#include <QuickTime/QuickTime.h>
#include <CoreServices/CoreServices.h>

#define kWindowTitleBarHeight 22

OSStatus pascal MinEventHandler(EventHandlerCallRef inHandlerCallRef, EventRef inEvent, void *inUserData);
OSStatus pascal TicTacEventHandler(EventHandlerCallRef inHandlerCallRef, EventRef inEvent, void *inUserData);
OSStatus pascal CloseEventHandler(EventHandlerCallRef inHandlerCallRef, EventRef inEvent, void *inUserData);

void pascal EventTimer(EventLoopTimerRef inTimer, void *inUserData);

struct WindowInfo
{
    Rect oldSize;
    WindowAttributes oldAttrs;
};

enum
{
    kEventWindowToolbarSwitchMode        = 150
};

void InitAquaShade(void);
void PatchEveryWindow(void);
void PatchWindow(WindowRef window);
void WindowShade(WindowRef window, Boolean slide);
void PlaySound(void);
