#!/usr/local/bin/python

import re
import string
import urllib
import sys

if ( len(sys.argv) < 3 ):
	print 'Usage: %s <sender> <number> <message>' % sys.argv[0]
	sys.exit(-1)

phoneRe   = re.compile('^[2-9][0-9]{2}.?[2-9][0-9]{2}.?[0-9]{4}$')
maxLength = 160
pageUrl   = 'http://www.fido.ca/NASApp/info/HomeFrame/sendmessage.jsp?lang=en&name=%s&phone=%s&text=%s&textEnc=%s'

sender   = sys.argv[1]
phoneNum = sys.argv[2]
message  = sys.argv[3]

if ( not phoneRe.match( phoneNum ) ):
	print '%s is not a valid phone number.' % phoneNum
	sys.exit(-2)
	
if ( len(message) > (maxLength - len(sender)) ):
	print 'Your message is too long. It cannot exceed %s characters.' % maxLength
	sys.exit(-3)

phoneNum    = re.sub( "[^0-9]", "", phoneNum )
pageUrl     = pageUrl % ( urllib.quote(sender), phoneNum, urllib.quote(message), urllib.quote(message) )

print pageUrl

html = urllib.urlopen( pageUrl ).read()

print html

sys.exit(0)
