// battery.h

#define PILOT_PRECOMPILED_HEADERS_OFF
#include <Pilot.h>
#include "pane.h"

class battery: public pane {
public:
				battery(FormGadgetType* gadgetP, view* in_superview); // pass pointer to gadget where clock should be
	virtual	~battery();		 				// does nothing
		
	// battery-specific
	void		reset_idle_timer();
	void		set_idle_timer(UInt32 interval);
protected:
	UInt32					m_idle_timer; 	// when next update should take place
	
	virtual void		draw_self();
	virtual void		idle_self();
};
