// menu_item.h

#include "vector.h"

class menu_item: public vector {
public:
				menu_item(char* in_string, long in_id, char in_shortcut, menu_item** in_master);
	virtual	~menu_item();
	
	void		get_text(char* s);
	void		set_text(char* s);
	int		get_id() {return m_id;};
	void		set_id(int id) {m_id = id;};
	char		get_shortcut() {return m_shortcut;};
	void		set_shortcut(char c) {m_shortcut = c;};

	bool		get_enabled() { return m_enabled; };
	void		enable() { m_enabled = true; };
	void		disable() { m_enabled = false; };
	
protected:
	char		m_text[64];
	long		m_id;
	char		m_shortcut;
	bool		m_enabled;
};