// main_form.h

#define PILOT_PRECOMPILED_HEADERS_OFF
#include <Pilot.h>
#include "trashcan.h"
#include "view.h"
#include "commander.h"

class da_mgr;

class main_form: public view, public commander {
public:
							main_form(FormPtr frmP); // default constructor
	virtual				~main_form();
	
	Boolean				handle_event(EventPtr eventP);
	
protected:
	da_mgr*			m_da_mgr;
	FormPtr			m_form;
	trashcan*			m_trashcan;
	
							// overriding view methods
	void					draw_self();
	virtual Boolean	click_self(int x, int y);

							// overriding commander methods
	virtual Boolean	do_cmd_self (int in_eventID, void* io_data);
};