#import "CustomWindow2.h"
#import <AppKit/AppKit.h>

@implementation CustomWindow2

- (id)initWithContentRect:(NSRect)contentRect styleMask:(unsigned int)aStyle backing:(NSBackingStoreType)bufferingType defer:(BOOL)flag {

    NSWindow* result = [super initWithContentRect:contentRect styleMask:NSBorderlessWindowMask backing:NSBackingStoreBuffered defer:NO];
	
    [result setLevel: NSStatusWindowLevel];
    [result setHasShadow:NO];
	
	[self setContentSize:NSMakeSize(35, 21)];
	
	{
		NSScreen *screen = [NSScreen mainScreen];
		NSRect	 frame = [screen frame];
		
		frame.origin.y = frame.size.height - 21;
		frame.origin.x = 10;
		
		[self setFrameOrigin:frame.origin];
	}
	
    return result;
}
@end
